-- для работы с LSP
return {
  "williamboman/mason.nvim",
  dependencies = {
    "williamboman/mason-lspconfig.nvim",
    "WhoIsSethDaniel/mason-tool-installer.nvim"
  },
  config = function()
    local mason = require("mason")
    local mason_lspconfig = require("mason-lspconfig")
    local mason_tool_installer = require("mason-tool-installer")

    -- enable mason and configure icons
    mason.setup({
      ui = {
        icons = {
          package_installed = "✓",
          package_pending = "➜",
          package_uninstalled = "✗"
        }
      }
    })

    mason_lspconfig.setup({
      -- list of servers for mason to install
      ensure_installed = {
        "html",
        "tsserver",
        "cssls",
        "tailwindcss",
        "emmet_ls",
        "pyright",
        "clangd",
        "lua_ls",
        "bashls",
        "cmake",
        "cssmodules_ls",
        "jsonls",
        "vimls",
        "vuels",
      },
      -- auto-install configured servers (with lspconfig)
      automatic_installation = true  -- not the same as ensure_installed
    })

    mason_tool_installer.setup({
      ensure_installed = {
        "stylua", -- lua formatter
        "clang-format", -- c++ formatter
        "prettier", -- prettier formatter
        "isort", -- python formatter
        "black", -- python formatter
        "pylint", -- python linter
      }
    })
  end
}
